Name:           sphere-desktop-selector
Version:        0.1.2
Release:        1%{?dist}
Summary:        MSVSphere GNOME Desktop Flavour Selector
Requires:       jq
Requires:       /usr/bin/gnome-extensions
Requires:       yad
Requires:       config(msvsphere-configs-gnome) >= 0.3.0

License:        GPLv2
URL:            http://msvsphere-os.ru
Source0:        https://git.inferitos.ru/msvsphere/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
This package allow to choose variants of GNOME Desktop, Classic or GNOME Shell
with dock.

%prep
%autosetup -p1 -n %{name}

%build
echo "Nothing to build"

%install

# Create dirs
install -d -m755 %{buildroot}%{_datadir}/gnome-flavour-selector
install -d -m755 %{buildroot}%{_bindir}
install -d -m755 %{buildroot}%{_sysconfdir}/xdg/autostart/
install -m644 Classic_2.png %{buildroot}%{_datadir}/gnome-flavour-selector/
install -m644 Modern_2.png %{buildroot}%{_datadir}/gnome-flavour-selector/
install -m755 gnome-flavour-selector.sh %{buildroot}%{_bindir}/gnome-flavour-selector
install -m755 gnome-flavour-selector.desktop %{buildroot}%{_sysconfdir}/xdg/autostart/


%files
%license LICENSE
%doc README.md
%config(noreplace) %{_sysconfdir}/xdg/autostart/gnome-flavour-selector.desktop
%{_bindir}/gnome-flavour-selector
%{_datadir}/gnome-flavour-selector/*


%changelog
* Tue Sep 10 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.1.2-1
- Fix disable/enable dash-to-dock

* Tue Sep 10 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.1.1-1
- Added R: config(msvsphere-configs-gnome) >= 0.3.0

* Tue Sep 10 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.1-1
- Initial build

